Sumário

# Parâmetros de início do Java

Você pode utilizar esta caixa de diálogo para inserir parâmetros de início opcionais do JRE (Java Runtime Environment). As configurações que você especificar nela serão válidas para qualquer JRE que for iniciado.

Para acessar este comando...

Selecione LibreOffice → Preferências Ferramentas → Opções… → LibreOffice → Avançado.

## Parâmetros de início do Java

Insira um parâmetro de início para um JRE como faria em uma linha de comando. Clique em Atribuir para adicionar o parâmetro à lista de parâmetros de início disponíveis.

Não use caracteres de escape ou aspas em nomes de caminho.

Por exemplo, para apontar a propriedade do sistema "myprop" para uma pasta, insira o parâmetro a seguir:

-Dmyprop=c:\program files\java

Para ativar a depuração em um JRE, insira os parâmetros a seguir:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Essas alterações serão aplicadas quando você reiniciar o LibreOffice.

### Parâmetros de início atribuídos

Lista os parâmetros de início do JRE atribuídos. Para remover um parâmetro de início, selecione-o e clique em Remover.

### Adicionar

Adiciona o parâmetro de início do JRE atual à lista.

### Editar

Abre uma caixa de diálogo para editar os parâmetros de inicialização da JRE selecionada.

### Remover

Exclui o parâmetro de início do JRE selecionado.